Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jbo.client.remote
Class ViewLinkImpl

`java.lang.Object
oracle.jbo.common.PropertiesHelper
oracle.jbo.client.remote.ViewLinkImpl`

All Implemented Interfaces:
  ComponentObject, Properties, ViewLink

public class ViewLinkImpl
extends PropertiesHelper
implements ViewLink

Version:
  INTERNAL

Field Summary
`protected ApplicationModuleImpl` | `mAM`
`protected java.lang.String` | `mDefFullName`
`protected java.lang.String` | `mDefName`
`protected ViewObject` | `mDest`
`protected java.lang.String` | `mFullName`
`protected int` | `mId`
`protected java.lang.String` | `mName`
`protected ViewObject` | `mSrc`

Fields inherited from class oracle.jbo.common.PropertiesHelper
`mProperties`

Method Summary
`protected void` | `clearClientSide()`
`java.lang.String` | `getDefFullName()` Retrieves the fully-qualified name of the component's definition.
`java.lang.String` | `getDefName()` Retrieves the name of the component's definition.
`ViewObject` | `getDestination()` Gets the link's detail View Object.
`java.lang.String` | `getFullName()` Retrieves the fully-qualified name of this component.
`java.lang.String` | `getName()` Retrieves the name of this component.
`java.util.Hashtable` | `getProperties()` Gets the table of properties.
`protected int` | `getRemoteId()`
`ViewObject` | `getSource()` Gets the link's master View Object.
`void` | `remove()` Deletes this component.

Methods inherited from class oracle.jbo.common.PropertiesHelper
`getProperty, refreshProperty, setProperty`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface oracle.jbo.Properties
`getProperty, refreshProperty`

Field Detail

### mAM

    protected ApplicationModuleImpl mAM

### mId

    protected int mId

### mName

    protected java.lang.String mName

### mFullName

    protected java.lang.String mFullName

### mDefName

    protected java.lang.String mDefName

### mDefFullName

    protected java.lang.String mDefFullName

### mSrc

    protected ViewObject mSrc

### mDest

    protected ViewObject mDest

Method Detail

### getName

    public java.lang.String getName()

  Description copied from interface: `ComponentObject`
  Retrieves the name of this component.
  Specified by:
    `getName` in interface `ComponentObject`
  Returns:
    the name of the object.

### getFullName

    public java.lang.String getFullName()

  Description copied from interface: `ComponentObject`
  Retrieves the fully-qualified name of this component.
  Specified by:
    `getFullName` in interface `ComponentObject`
  Returns:
    the name of the object.

### getDefName

    public java.lang.String getDefName()

  Description copied from interface: `ComponentObject`
  Retrieves the name of the component's definition.
  Specified by:
    `getDefName` in interface `ComponentObject`
  Returns:
    a class name.

### getDefFullName

    public java.lang.String getDefFullName()

  Description copied from interface: `ComponentObject`
  Retrieves the fully-qualified name of the component's definition.
  Specified by:
    `getDefFullName` in interface `ComponentObject`
  Returns:
    a class name.

### remove

    public void remove()

  Description copied from interface: `ComponentObject`
  Deletes this component.
  Specified by:
    `remove` in interface `ComponentObject`

### getSource

    public ViewObject getSource()

  Description copied from interface: `ViewLink`
  Gets the link's master View Object.
  Specified by:
    `getSource` in interface `ViewLink`
  Returns:
    the master `ViewObject`.

### getDestination

    public ViewObject getDestination()

  Description copied from interface: `ViewLink`
  Gets the link's detail View Object.
  Specified by:
    `getDestination` in interface `ViewLink`
  Returns:
    the master `ViewObject`.

### getProperties

    public java.util.Hashtable getProperties()

  Description copied from interface: `Properties`
  Gets the table of properties.
  Specified by:
    `getProperties` in interface `Properties`
  Specified by:
    `getProperties` in class `PropertiesHelper`

### getRemoteId

    protected int getRemoteId()

### clearClientSide

    protected void clearClientSide()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1997, 2005, Oracle. All rights reserved.